Processador antigo para rodar a Steam? Help!!! [RESOLVIDO]

1. Processador antigo para rodar a Steam? Help!!! [RESOLVIDO]

Waltson Felizardo Soares Pacheco
Felizard

(usa Fedora)

Enviado em 10/05/2021 - 15:09h

Galera estou com esse problema, sera que vocês saberiam arrumar essa fita?
Estou usando o Zorin OS Lite, aquele mais de boas com o XFCE.
Quando fui instalar a Steam, deu esse erro aqui:
~~~~
Sorry, this computer's CPU is too old to run Steam.

Steam requires at least an Intel Pentium 4 or AMD Opteron, with the following features:
- x86-64 (AMD64) instruction set (lm in /proc/cpuinfo flags)
- CMPXCHG16B instruction support (cx16 in /proc/cpuinfo flags)
- SSE3 instruction support (pni in /proc/cpuinfo flags)
~~~~
Eu to com um dual boot no PC, com wins7 e o Zorin Os... Meu CPU é um "XEON X5460".
No Wins7 não da esse erro, no no linux mesmo. Alguém sabe arrumar?
(Galera se o post tiver errado ou coisa do tipo eu peço desculpas, essa é minha primeira vez)


  


2. MELHOR RESPOSTA

Marcelo Oliver
msoliver

(usa Debian)

Enviado em 14/05/2021 - 21:09h

Felizard escreveu:


Primeiro sobre o tipo do arquivo. Com aquele comando lá 'file'.
Para o amd64:

[email protected]:~/.steam/debian-installation/ubuntu12_32/steam-runtime/amd64/usr/bin$ file steam-runtime-check-requirements
steam-runtime-check-requirements: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.24, BuildID[sha1]=eebcd1069531840b32cf74f31055a6cffddaab85, stripped

Para o i386

[email protected]:~/.steam/debian-installation/ubuntu12_32/steam-runtime/i386/usr/bin$ file steam-runtime-check-requirements
steam-runtime-check-requirements: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked, interpreter /lib/ld-linux.so.2, for GNU/Linux 2.6.24, BuildID[sha1]=cdf96007d7dbf3c704bec726ad13e8e43c8557af, stripped

---------------------------------------------------------------------
Agora o negocio vai pegar!!! heehhe
Saquei as paradas dos Shell script, são comandos misteriosos!!!
- Abrindo Editor de texto, copiado as duas linhas!
- Arquivo salvo!!! (Altas expectativas!).
- Salvo com o nome "fake-runtime-check".
- Comando executado!!!
- Realmente esse termo ai faz sentido agora! eheh 'TL;DR'.
- A Parte 5 eu acabei de pular! (Pulando parte 5). (Epic Song).
- Copiando o arquivo "fake-runtime-check", para as duas pastas (copiados). (Epic Copy).
- Localizando as pastas! (Com o Epic Code).
* (Detalhe nos back-up que eu tinha feito antes na área de trabalho.)

[email protected]:~$ find -type f -name "*steam-runtime-check-requirements*" -exec dirname {} \;
./Área de Trabalho/amd64
./Área de Trabalho/i386
./.steam/debian-installation/ubuntu12_32/steam-runtime/amd64/usr/bin/
./.steam/debian-installation/ubuntu12_32/steam-runtime/i386/usr/bin/

./.steam/debian-installation/ubuntu12_32/steam-runtime/usr/share/man/man1

- As duas linhas foram completamente encontradas pelo terminal ! ! !
- Hora de copiar (Copiando)

[email protected]:~$ cp fake-runtime-check ./.steam/debian-installation/ubuntu12_32/steam-runtime/amd64/usr/bin
cp: não foi possível obter estado de 'fake-runtime-check': Arquivo ou diretório inexistente


Acho que deu errado aqui nessa parte, nossa eu to sentindo que tá muito perto de acontecer!!! Mano Marcelo Oliver você se garante muito, muito obrigado pelo Help intenso.

Acho que esse erro deu por algum motivo de copiar alguma coisa pro lugar errado será?
Eu coloquei o arquivo fake nas duas pastas, na amd64 e na i386 (um pra cada um).
Eu abri o terminal dentro da pasta e executei aquele comando lá: "chmod +x fake-...".
Sobre os caminhos que apareceram eu usei no caso os que eram da pasta mesmo, sem ser os dos back-up da área de trabalho.



Boa noite Felizard, vamos tentar desenrolar essa "coisa"...
Quanto ao comando "file", os arquivos são executáveis, teria que fazer uma "engenharia reversa" para chegar
no código fonte, o que esta além do meu conhecimento....
-----------------------------------------------------------------------
Acho que esse erro deu por algum motivo de copiar alguma coisa pro lugar errado será?
Sim, deu erro ao copiar o "fake-runtime-check"
E também tem um outro erro....
O arquivo "fake-runtime-check", deve substituir o arquivo "steam-runtime-check-requirements", nas pastas "i386" e "amd64".
#----------------------------------------------------------------------#
Vamos refazer.
1 - Delete/Apague o arquivo "fake-runtime-check" que colocou nas pastas i386 e amd64

2 - Crie um novo arquivo "fake".
echo -e '#!/usr/bin/env bash\nexit 0' > fake_novo.sh 

Execute:
chmod +x fake_novo.sh 

OBS.: O terminal deve estar na mesma pasta onde se encontra o "fake_novo.sh".

o comando:
ls -l 

Lista os arquivos da pasta.
o comando:
pwd
Ou
echo $PWD

Mostra em qual pasta o terminal esta aberto.

#---------------------------------------------------------#
Confirme se o arquivo fake_novo.sh é executável.
[ -x fake_novo.sh  ] && echo -e "Okay\nContinue" || echo -e "Algo deu errado\nPare" 

#----------------------------------------------------------#

3 - Copiando o fake_novo.sh para as pastas amd64 e i386, e substituindo os arquivos originais
cp fake_novo.sh ./.steam/debian-installation/ubuntu12_32/steam-runtime/amd64/usr/bin/steam-runtime-check-requirements
cp fake_novo.sh ./.steam/debian-installation/ubuntu12_32/steam-runtime/i386/usr/bin/steam-runtime-check-requirements


#Checando: (copie e cole no terminal)
arq_amd='.steam/debian-installation/ubuntu12_32/steam-runtime/amd64/usr/bin/steam-runtime-check-requirements';
arq_i386='/.steam/debian-installation/ubuntu12_32/steam-runtime/i386/usr/bin/steam-runtime-check-requirements';
[ -x ${arq_amd} ] && echo -e "ARQ amd64 Okay" || echo -e "Algo deu errado"
[ -x ${arq_i386} ] && echo -e "ARQ I386 Okay" || echo -e "Algo deu errado"

---------------------------------------------------------------------------------------------------------------
Se der Okay nos dois comandos acima, deve funcionar.....
---------------------------------------------------------------------------------------------------------------
Concluindo:
O script fake, retorna
exit 0, que indica "tudo okay"

Agora vai funcionar!!!!!

______________________________________________________________________
Att.: Marcelo Oliver
______________________________________________________________________


3. Re: Processador antigo para rodar a Steam? Help!!! [RESOLVIDO]

Marcelo Oliver
msoliver

(usa Debian)

Enviado em 11/05/2021 - 01:32h


Felizard escreveu:

Galera estou com esse problema, sera que vocês saberiam arrumar essa fita?
Estou usando o Zorin OS Lite, aquele mais de boas com o XFCE.
Quando fui instalar a Steam, deu esse erro aqui:
~~~~
Sorry, this computer's CPU is too old to run Steam.

Steam requires at least an Intel Pentium 4 or AMD Opteron, with the following features:
- x86-64 (AMD64) instruction set (lm in /proc/cpuinfo flags)
- CMPXCHG16B instruction support (cx16 in /proc/cpuinfo flags)
- SSE3 instruction support (pni in /proc/cpuinfo flags)
~~~~
Eu to com um dual boot no PC, com wins7 e o Zorin Os... Meu CPU é um "XEON X5460".
No Wins7 não da esse erro, no no linux mesmo. Alguém sabe arrumar?
(Galera se o post tiver errado ou coisa do tipo eu peço desculpas, essa é minha primeira vez)

Boa noite FelizArd.
Instalou o Zorin 32 Bit?
Poste a saída do comando:
lscpu

______________________________________________________________________
Importante: lynx --dump goo.gl/a9KeFc|sed -nr '/^[ ]+Se/,/dou.$/p'
Att.: Marcelo Oliver
______________________________________________________________________
Nota de esclarecimento:
O comando: lynx --dump goo.gl/a9KeFc|sed -nr '/^[ ]+Se/,/dou.$/p',
faz parte da minha assinatura.
O qual, "filtra" a página: "https://www.vivaolinux.com.br/termos-de-uso/",
Mostrando o seguinte:

Se você sanou sua dúvida ou resolveu um problema a partir de um
tópico criado, é extremamente recomendável que acesse o tópico e
marque-o como "RESOLVIDO". E mais recomendável ainda que você eleja
como melhor resposta a que mais lhe ajudou.


______________________________________________________________________



4. Re: Processador antigo para rodar a Steam? Help!!! [RESOLVIDO]

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 11/05/2021 - 06:36h

Isso ai foi uma decisão da valve ela não da mais suporte a cpu que não tem tall tecnologia.
Eu acho que ela devia ter esperado mais uns anos mas ela que tem um banco de dados sobre o hardware dos usuarios.
Taves tenha uma solução por ai.


CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


5. Re: Processador antigo para rodar a Steam? Help!!! [RESOLVIDO]

Waltson Felizardo Soares Pacheco
Felizard

(usa Fedora)

Enviado em 11/05/2021 - 14:44h

Olá MSOliver, eu estou usando o Zorin OS 15.3 Lite.
Aqui a saída do comando 'lscpu':
~
[email protected]:~$ lscpu
Arquitetura: x86_64
Modo(s) operacional da CPU: 32-bit, 64-bit
Ordem dos bytes: Little Endian
CPU(s): 4
Lista de CPU(s) on-line: 0-3
Thread(s) per núcleo: 1
Núcleo(s) por soquete: 4
Soquete(s): 1
Nó(s) de NUMA: 1
ID de fornecedor: GenuineIntel
Família da CPU: 6
Modelo: 23
Nome do modelo: Intel(R) Xeon(R) CPU X5460 @ 3.16GHz
Step: 10
CPU MHz: 2003.152
BogoMIPS: 6317.12
cache de L1d: 32K
cache de L1i: 32K
cache de L2: 6144K
CPU(s) de nó0 NUMA: 0-3
Opções: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl cpuid aperfmperf pni tm2 ssse3 lahf_lm pti dtherm
~
Sera que não vai ter solução? Agora que comentou sobre o sistema, será que se eu instalar a versão Core do Zorin ele vai rodar de boas?


6. Re: Processador antigo para rodar a Steam? Help!!! [RESOLVIDO]

josinaldo
-josinaldo-

(usa KUbuntu)

Enviado em 11/05/2021 - 14:55h


aguamole escreveu:

Isso ai foi uma decisão da valve ela não da mais suporte a cpu que não tem tall tecnologia.
Eu acho que ela devia ter esperado mais uns anos mas ela que tem um banco de dados sobre o hardware dos usuarios.
Taves tenha uma solução por ai.


CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


Interessante o comentário, pode ser isso mesmo.

pesquisando no google achei isso no forum deles:
https://steamcommunity.com/app/221410/discussions/0/2259061617884683415/?l=polish



7. Re: Processador antigo para rodar a Steam? Help!!! [RESOLVIDO]

Waltson Felizardo Soares Pacheco
Felizard

(usa Fedora)

Enviado em 11/05/2021 - 14:55h


aguamole escreveu:
Isso ai foi uma decisão da valve ela não da mais suporte a cpu que não tem tall tecnologia.
Eu acho que ela devia ter esperado mais uns anos mas ela que tem um banco de dados sobre o hardware dos usuarios.
Taves tenha uma solução por ai.


Eu vi um cara no forum da Steam fazendo uma solução, porem não deu certo comigo.
Vi um tópico no fórum do Diolinux também falando que a galera conseguiu resolver...

https://steamcommunity.com/app/221410/discussions/0/2260188150872632246/#c2260188150872924323

Não consegui entender direito como faz esse processo ou tá faltando coisa, não sei.. Acho que eu sou NooB de mais ahahha
Se puderem explicar melhor como é esse processo eu agradeço também.


8. Re: Processador antigo para rodar a Steam? Help!!! [RESOLVIDO]

Marcelo Oliver
msoliver

(usa Debian)

Enviado em 11/05/2021 - 18:35h


Felizard escreveu:

Olá MSOliver, eu estou usando o Zorin OS 15.3 Lite.
Aqui a saída do comando 'lscpu':
~
[email protected]:~$ lscpu
Arquitetura: x86_64
Modo(s) operacional da CPU: 32-bit, 64-bit
Ordem dos bytes: Little Endian
CPU(s): 4
Lista de CPU(s) on-line: 0-3
Thread(s) per núcleo: 1
Núcleo(s) por soquete: 4
Soquete(s): 1
Nó(s) de NUMA: 1
ID de fornecedor: GenuineIntel
Família da CPU: 6
Modelo: 23
Nome do modelo: Intel(R) Xeon(R) CPU X5460 @ 3.16GHz
Step: 10
CPU MHz: 2003.152
BogoMIPS: 6317.12
cache de L1d: 32K
cache de L1i: 32K
cache de L2: 6144K
CPU(s) de nó0 NUMA: 0-3
Opções: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl cpuid aperfmperf pni tm2 ssse3 lahf_lm pti dtherm
~
Sera que não vai ter solução?
Agora que comentou sobre o sistema, será que se eu instalar a versão Core do Zorin ele vai rodar de boas?

Boa noite Felizard.
Dei uma pesquisada, é o problema é a checagem que o steam faz,
Trocar o SO não resolve.
Procure pelo script com o nome ""steam-runtime-check-requirements""
E poste aqui....
Como procurar:
# Em $HOME
find -type f -iname "*steam-runtime-check-requirements*"
Se não encontrar, faça
sudo find / -type f -iname "*steam-runtime-check-requirements*"


______________________________________________________________________
Importante: lynx --dump goo.gl/a9KeFc|sed -nr '/^[ ]+Se/,/dou.$/p'
Att.: Marcelo Oliver
______________________________________________________________________




9. Re: Processador antigo para rodar a Steam? Help!!! [RESOLVIDO]

Waltson Felizardo Soares Pacheco
Felizard

(usa Fedora)

Enviado em 12/05/2021 - 12:29h


msoliver escreveu:

Boa noite Felizard.
Dei uma pesquisada, é o problema é a checagem que o steam faz,
Trocar o SO não resolve.
Procure pelo script com o nome ""steam-runtime-check-requirements""
E poste aqui....
Como procurar:
# Em $HOME
find -type f -iname "*steam-runtime-check-requirements*"
Se não encontrar, faça
sudo find / -type f -iname "*steam-runtime-check-requirements*"



Cara eu coloquei aqui e apareceu isso aqui: (Isso para o primeiro codigo ai). O que eu faço agora?

[email protected]:/home/wfelizardp# find -type f -iname "*steam-runtime-check-requirements*"
./.steam/debian-installation/ubuntu12_32/steam-runtime/amd64/usr/bin/steam-runtime-check-requirements
./.steam/debian-installation/ubuntu12_32/steam-runtime/i386/usr/bin/steam-runtime-check-requirements
./.steam/debian-installation/ubuntu12_32/steam-runtime/usr/share/man/man1/steam-runtime-check-requirements.1.gz


10. Re: Processador antigo para rodar a Steam? Help!!! [RESOLVIDO]

Waltson Felizardo Soares Pacheco
Felizard

(usa Fedora)

Enviado em 12/05/2021 - 12:31h

Nesse tempo que passou, eu formatei o PC e coloquei o fedora XFCE, e deu mesmo erro. Acho que esse erro vai rolar para todos os sistemas Linux.
No Windows não da esse erro no processador... Mais infelizmente eu formatei o PC, e agora é Zorin OS 100% SSD! ehehehe...


11. Re: Processador antigo para rodar a Steam? Help!!! [RESOLVIDO]

Marcelo Oliver
msoliver

(usa Debian)

Enviado em 12/05/2021 - 16:06h


Felizard escreveu:


msoliver escreveu:

Boa noite Felizard.
Dei uma pesquisada, é o problema é a checagem que o steam faz,
Trocar o SO não resolve.
Procure pelo script com o nome ""steam-runtime-check-requirements""
E poste aqui....
Como procurar:
# Em $HOME
find -type f -iname "*steam-runtime-check-requirements*"
Se não encontrar, faça
sudo find / -type f -iname "*steam-runtime-check-requirements*"



Cara eu coloquei aqui e apareceu isso aqui: (Isso para o primeiro codigo ai). O que eu faço agora?

[email protected]:/home/wfelizardp# find -type f -iname "*steam-runtime-check-requirements*"
./.steam/debian-installation/ubuntu12_32/steam-runtime/amd64/usr/bin/steam-runtime-check-requirements
./.steam/debian-installation/ubuntu12_32/steam-runtime/i386/usr/bin/steam-runtime-check-requirements
./.steam/debian-installation/ubuntu12_32/steam-runtime/usr/share/man/man1/steam-runtime-check-requirements.1.gz

Boa tarde.
Poste (em texto, não imagem).
O conteúdo de :
cat ./.steam/debian-installation/ubuntu12_32/steam-runtime/amd64/usr/bin/steam-runtime-check-requirements
E
cat ./.steam/debian-installation/ubuntu12_32/steam-runtime/i386/usr/bin/steam-runtime-check-requirements


______________________________________________________________________
Importante: lynx --dump goo.gl/a9KeFc|sed -nr '/^[ ]+Se/,/dou.$/p'
Att.: Marcelo Oliver
______________________________________________________________________



12. Re: Processador antigo para rodar a Steam? Help!!!

Eric
Grinder

(usa Slackware)

Enviado em 13/05/2021 - 00:45h

Aqui nesse tópico na segunda resposta tem um tutorial, me parece bem simples.

https://steamcommunity.com/app/221410/discussions/0/2260188150872632246/
- - - - -
www.gitlab.com/grinder
www.github.com/ericfernandesferreira
www.youtube.com/candelabrus1



01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts